Package org.w3c.tidy

# Class Attribute

java.lang.Object
org.w3c.tidy.Attribute

public class Attribute extends Object
HTML attribute.

Version:
  $Revision: 400 $ ($Author: fgiust $)
Author:
  Dave Raggett dsr@w3.org , Andy Quick ac.quick@sympatico.ca (translation to Java), Fabrizio Giustina

## Constructor Summary

Constructors
Constructor
Description
`Attribute(String attributeName, short htmlVersions, AttrCheck check)`
Instantiates a new Attribute.

## Method Summary

Modifier and Type
Method
Description
`AttrCheck`
`getAttrchk()`
Returns the checker for this attribute.
`String`
`getName()`
Returns the attribute name.
`short`
`getVersions()`
Returns the html versions in which this attribute is supported.
`boolean`
`isLiteral()`
Is this a literal (unmodifiable) attribute?
`boolean`
`isNowrap()`
Don't wrap this attribute?
`void`
`setLiteral(boolean isLiteral)`
Is this a literal (unmodifiable) attribute?
`void`
`setNowrap(boolean isNowrap)`
Don't wrap this attribute?

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Attribute

public Attribute(String attributeName, short htmlVersions, AttrCheck check)
Instantiates a new Attribute.

Parameters:
  `attributeName` - attribute name
  `htmlVersions` - versions in which this attribute is supported
  `check` - AttrCheck instance

## Method Details

### setLiteral

public void setLiteral(boolean isLiteral)
Is this a literal (unmodifiable) attribute?

Parameters:
  `isLiteral` - boolean `true` for a literal attribute

### setNowrap

public void setNowrap(boolean isNowrap)
Don't wrap this attribute?

Parameters:
  `isNowrap` - boolean `true`= don't wrap

### getAttrchk

public AttrCheck getAttrchk()
Returns the checker for this attribute.

Returns:
  instance of AttrCheck.

### isLiteral

public boolean isLiteral()
Is this a literal (unmodifiable) attribute?

Returns:
  `true` for a literal attribute

### getName

public String getName()
Returns the attribute name.

Returns:
  attribute name.

### isNowrap

public boolean isNowrap()
Don't wrap this attribute?

Returns:
  `true`= don't wrap

### getVersions

public short getVersions()
Returns the html versions in which this attribute is supported.

Returns:
  html versions for this attribute.
See Also:
  - `Dict`